from .gcn import GCN
from .sgc import SGC
from .ssgc import SSGC
from .gat import GAT
from .appnp import APPNP
from .dagnn import DAGNN
from .jknet import JKNet
from .tagcn import TAGCN

# defense models
from .median_gcn import MedianGCN
from .robust_gcn import RobustGCN
from .air_gnn import AirGNN
from .elastic_gnn import ElasticGNN
from .soft_median_gcn import SoftMedianGCN
from .simp_gcn import SimPGCN
from .gnnguard import GNNGUARD
from .sat import SAT

classes = __all__ = ["GCN", "SGC", "SSGC", "GAT", "APPNP", "DAGNN", "JKNet", "TAGCN", "MedianGCN",
                     "RobustGCN", "AirGNN", "ElasticGNN", "SoftMedianGCN", "SimPGCN", "GNNGUARD", "SAT"]
